package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.domain.MaintenanceGang;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author lsun
 */
@Mapper
public interface MaintenanceGangMapper {
    List<MaintenanceGang> getMaintenanceGangInfoAll(MaintenanceGang bean);

    List<MaintenanceGang> getMaUserList(String userName);

    int add(List<MaintenanceGang> list);

    int deleteByIds(String typeId);

    int deleteByIdsAll(String[] typeIds);
}
